Skip to main content
GET
https://{tenantDomain}/api/v2
/
client-grants
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.ClientGrants.ListAsync(
            new ListClientGrantsRequestParameters {
                From = "from",
                Take = 1,
                Audience = "audience",
                ClientId = "client_id",
                AllowAnyOrganization = true,
                SubjectType = ClientGrantSubjectTypeEnum.Client,
                DefaultFor = "third_party_clients"
            }
        );
    }

}
[
  {
    "id": "<string>",
    "client_id": "<string>",
    "audience": "<string>",
    "scope": [
      "<string>"
    ],
    "allow_any_organization": true,
    "default_for": "third_party_clients",
    "is_system": true,
    "authorization_details_types": [
      "<string>"
    ],
    "allow_all_scopes": true
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

per_page
integer

Number of results per page.

Required range: 1 <= x <= 100
page
integer

Page index of the results to return. First page is 0.

Required range: x >= 0
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Required range: 1 <= x <= 100
audience
string

Optional filter on audience.

client_id
string

Optional filter on client_id.

allow_any_organization
enum<boolean>

Optional filter on allow_any_organization.

Available options:
true
subject_type
enum<string>

The type of application access the client grant allows.

Available options:
client,
user
default_for
enum<string>
GA

Applies this client grant as the default for all clients in the specified group. The only accepted value is third_party_clients, which applies the grant to all third-party clients. Per-client grants for the same audience take precedence. Mutually exclusive with client_id.

Available options:
third_party_clients

Response

Client grants successfully retrieved.

id
string

ID of the client grant.

client_id
string

ID of the client.

audience
string

The audience (API identifier) of this client grant.

Minimum string length: 1
scope
string[]

Scopes allowed for this client grant.

Minimum string length: 1
organization_usage
enum<string>

Defines whether organizations can be used with client credentials exchanges for this grant.

Available options:
deny,
allow,
require
allow_any_organization
boolean

If enabled, any organization can be used with this grant. If disabled (default), the grant must be explicitly assigned to the desired organizations.

default_for
enum<string>
GA

Applies this client grant as the default for all clients in the specified group. The only accepted value is third_party_clients, which applies the grant to all third-party clients. Per-client grants for the same audience take precedence. Mutually exclusive with client_id.

Available options:
third_party_clients
is_system
boolean

If enabled, this grant is a special grant created by Auth0. It cannot be modified or deleted directly.

subject_type
enum<string>

The type of application access the client grant allows.

Available options:
client,
user
authorization_details_types
string[]

Types of authorization_details allowed for this client grant.

Required string length: 1 - 255
allow_all_scopes
boolean

If enabled, all scopes configured on the resource server are allowed for this grant.